cr3 (3.0.43-2) zelazny; urgency=low

  * CSS support fixes
  * EPUB, CHM, HTML support fixes

 -- Vadim Lopatin <buggins@fromru.com>  Sat, 30 Jan 2011 10:01:30 +0400

cr3 (3.0.35-3) zelazny; urgency=low

  * Typo in bookmark xml markup

 -- Alexander V. Nikolaev <avn@daemon.hole.ru>  Tue, 02 Nov 2010 23:54:30 +0200

cr3 (3.0.35-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix font colors in 2bit mode
  * fix libpng support
  * background-color support for inline elements
  * CSS: add hanging attribute support to text-indent property
  * CSS: add text-align-last property support to css parser
  * CSS: implement text-align-last property support
  * fix style for FB2 <v> element
  * fix page numbers in Qt TOC
  * page skin implementation
  * page skin list implementation
  * CSS: allow space-separated : after style property name
  * allow any namespace for reference to image using href or src
    attributes
  * fix current page number +1 for cr3gui/about dialog
  * page skin settings, in progress...
  * Add cache file contents CRC validation
  * avoid writing unchanged data blocks to cache file
  * text selection rework, part 1
  * move unit tests to separate source file
  * DOM cache file storage bugs fixed
  * put extra debug checks under conditional compilation
  * fix Valgrind findings
  * disable cache file validation
  * performance optimizations: style and font hash calculation
  * use FNV-1 64bit hash
  * add support of old libpng
  * new formatter, part 1
  * new formatter, part 2
  * new formatter, part 3
  * fix qt build

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 06 Sep 2010 21:58:28 +0200

cr3 (3.0.35-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * implement image titles, fix inline images
  * increment version
  * fix 2-bit gray buffer semi-transparent PNG support
  * add list-style-type and list-style-position CSS properties
  * implement CSS lists support
  * fix internal document styles
  * disable heap size logging by default

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 20 Jul 2010 19:46:01 +0200

cr3 (3.0.34-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * add history and custom-info to About/FileInfo

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 16 Jul 2010 15:37:13 +0200

cr3 (3.0.34-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * change key mapping according to screen orientation -- N516
  * arrow keys remapping according to screen orientation, V3/Openinkpot
  * Jinke/Nano-X code cleanup
  * fix footnotes bugs
  * update version

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 13 Jul 2010 17:53:35 +0200

cr3 (3.0.24-27) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Fix invisible title bug
  * fix fb2 internal stylesheet usage
  * fix rendering of semitransparent images with low pixel depth modes

 -- Alexander Kerner <lunohod@openinkpot.org>  Sat, 10 Jul 2010 21:52:56 +0200

cr3 (3.0.24-26) zelazny; urgency=low

  [ Vadim Lopatin ]
  * remove cr3.png from OI installation
  * fix HTML encoded (like 'file%20name') links support
  * fix wxWidgets build
  * fix QT build - font and fullscreen settings
  * rework Search feature
  * add Search dialog to Qt version
  * implemented Search feature in Qt version
  * fix controls setting bug
  * fix OI external dictionary command name
  * move CR3 version to cr3version.h
  * fix install of cr3.png
  * fix win32/mingw/qt build
  * win32/qt/msvc fixes, fix warnings
  * EOL changes
  * Qt app fixes
  * qt/win32 fixes
  * win32 stream fixes

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 30 Jun 2010 12:23:58 +0200

cr3 (3.0.24-25) zelazny; urgency=low

  [ Vadim Lopatin ]
  * AntiWord Support, part 1
  * antiword support, part 2
  * Show filename at page header
  * application event queue, part 1
  * use application message queue for XCB
  * retain fullScreen flag while removing duplicate Update events
  * fixes for application message queue
  * message queue fixes
  * fixes
  * fix event handling
  * update Ukrainian translation
  * update skin
  * history and settings saving optimization
  * V3 skin fixes, font setting fixes
  * save cache file changes on render instead of exit
  * use external dictionary edict for OpenInkpot
  * enable edict for OI builds
  * update README.TXT build commandline for OI

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 21 Jun 2010 10:11:25 +0200

cr3 (3.0.24-24) zelazny; urgency=low

  [ Vadim Lopatin ]
  * mem buffer settings
  * big files, data size optimization, part 1
  * big files: rework mutable text node
  * remove parent index from text ldomNode
  * add storage for element style and font indexes
  * move style and font indexes to separate storage
  * node memory size optimization, part 2
  * memory sizes optimizations
  * adding configurable document cache options
  * LIBCHM fix for MIPS
  * RAM usage optimizations
  * fix warning
  * qt/win32/msvc build fixes
  * EPUB support improvements: hrefs, images
  * epub fixes
  * increase page margins
  * fix font cache memory leak
  * fix epub images
  * add cache file support for EPUB
  * fix N516 key mapping for 0-HELP
  * chm support
  * add chm.css
  * chm, epub, html support improvements
  * add CHM mime type
  * fix fb2.css image alignment

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 04 Jun 2010 22:51:18 +0200

cr3 (3.0.24-23) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix TOC issue for documents opened from cache
  * fix text-indent CSS property bug
  * moving epub support to separate files, part 1
  * fixes
  * fix crash oon some documents opening
  * fix xcb_create_image_native call
  * big block write cache, part 1
  * block write cache, part 2
  * fix block writer
  * fix QT build
  * fix debug logging
  * README: list of required packages for Ubuntu
  * QT: add scrolling by left/right arrows
  * performance tuning
  * uncompressed mode, part 1
  * cache access rework
  * postpone cache flush until document close
  * performance tunung
  * fix win32/msys build
  * fix CHMLIB build for win32/msys
  * fix win32/qt/msys build
  * fix win32/linux builds
  * min mem settings

 -- Alexander Kerner <lunohod@openinkpot.org>  Thu, 20 May 2010 09:24:45 +0200

cr3 (3.0.24-22) zelazny; urgency=low

  * CHMLIB patch to support external stream
  * add CHM container support
  * CHM support, part 2
  * bigfiles support fix
  * LIBCHM arm support
  * optimize page splitter memory usage
  * load/format performance optimization
  * performance optimizations
  * lazy font loading for GUI, font garbage collection
  * memory buffer sizes tuning

 -- Alexander Kerner <lunohod@openinkpot.org>  Thu, 13 May 2010 16:53:14 +0200

cr3 (3.0.24-21) zelazny; urgency=low

  [ Vadim Lopatin ]
  * caching sizes fix
  * create tinyNode stub
  * tinyNode, part 2
  * big
  * bigfiles implementation
  * tinynode implementation, unit tests added
  * tinyNode implementation
  * tinyNode implementation
  * font and style caches for tinyNode
  * unit tests for font and style caches
  * replace DOM model with new one
  * fix node::getText() for elements
  * turn on persistent text nodes
  * fix node id map issue
  * force text data compression
  * fix valgrind findings
  * bigfiles
  * add memory sizes debug dump
  * persistent element nodes, incomplete
  * compressed persistent elements implementation, continue
  * persistent elements support, implemented
  * enable element data compression, incomplete
  * unit tests
  * fixes, unit test improvements
  * node rectangle access changes
  * fix render rect bug
  * remove unnecessary comment
  * fix missing footnotes
  * bigfiles fixes
  * fix persistent node attributes issue
  * separate node instance storages for text and elements
  * packing of render rectangle data
  * code cleanup
  * fix cite stype for fb2
  * code cleanup
  * fix
  * cache file implementation, part 1
  * cache files, stage 2
  * cache file, part 3
  * fix pack buffer fix
  * turn on swapping to file
  * use named cache file for swapping
  * fixed cache file access bug
  * swap file improvements
  * cache file support
  * saving/updating of full document in cache file
  * cache buffer size fixes
  * cache file reading, incomplete
  * cache file reading fixes
  * fix valgrid finding
  * cache file loading part2, unit test, unfinished
  * doc cache file support fixes
  * cache file support fixed
  * move TOC to document
  * cache file fixes
  * cache performance fixes
  * bigfiles fixes
  * bigfiles fixes
  * TOC serialization
  * TOC saving optimization
  * save styles to cache file
  * bigfiles performance optimizations
  * fixes
  * style, render method initialization, autoboxing optimization
  * render method init refactor, part 1
  * stylel/render refactor, part 2
  * fixing bugs in style initialization
  * debug checks
  * fix Win32 Qt build
  * fix win32 build
  * Fix Win32 install
  * Update README.TXT with additional DLLs for Win32
  * create tinyNode stub
  * tinyNode, part 2
  * big
  * bigfiles implementation
  * tinynode implementation, unit tests added
  * tinyNode implementation
  * tinyNode implementation
  * font and style caches for tinyNode
  * unit tests for font and style caches
  * replace DOM model with new one
  * fix node::getText() for elements
  * turn on persistent text nodes
  * fix node id map issue
  * force text data compression
  * fix valgrind findings
  * bigfiles
  * add memory sizes debug dump
  * persistent element nodes, incomplete
  * compressed persistent elements implementation, continue
  * persistent elements support, implemented
  * enable element data compression, incomplete
  * unit tests
  * fixes, unit test improvements
  * node rectangle access changes
  * fix render rect bug
  * remove unnecessary comment
  * fix missing footnotes
  * bigfiles fixes
  * fix persistent node attributes issue
  * separate node instance storages for text and elements
  * packing of render rectangle data
  * code cleanup
  * fix
  * fix cite stype for fb2
  * code cleanup
  * fix
  * cache file implementation, part 1
  * cache files, stage 2
  * cache file, part 3
  * fix pack buffer fix
  * turn on swapping to file
  * use named cache file for swapping
  * fixed cache file access bug
  * swap file improvements
  * cache file support
  * saving/updating of full document in cache file
  * cache buffer size fixes
  * cache file reading, incomplete
  * cache file reading fixes
  * fix valgrid finding
  * cache file loading part2, unit test, unfinished
  * doc cache file support fixes
  * cache file support fixed
  * move TOC to document
  * cache file fixes
  * cache performance fixes
  * bigfiles fixes
  * bigfiles fixes
  * TOC serialization
  * TOC saving optimization
  * save styles to cache file
  * bigfiles performance optimizations
  * fixes
  * style, render method initialization, autoboxing optimization
  * render method init refactor, part 1
  * stylel/render refactor, part 2
  * fixing bugs in style initialization
  * debug checks
  * fixed BIGFILES crash problem
  * Fix fast loading from cache w/o render
  * fix runin autoboxing
  * Add V3+ build support
  * fix About dialog crash
  * fixes
  * fix table rendering
  * fixes
  * fix TOC page numbers
  * optimize style/font loading from cache file
  * style/font initialization optimization, for initial document loading
    or render
  * optimize performance of short file loading: avoid unnecessary
    compression
  * fix images rendering
  * optimize TOC creation
  * optimize TOC generation
  * fix RTF support
  * fix TXT format support
  * style initialization optimization
  * fix big files support
  * fix EPUB support
  * minor fixes
  * add Antiword sources to thirdparty
  * add CMake buildfile for Antiword library
  * add CHMLIB to thirdparty
  * add CMake buildfile to CHMLIB
  * highlight selected menu item
  * fixes
  * fix for cache files CRC error

  [ Tomasz Długosz ]
  * update polish translation

 -- Alexander Kerner <lunohod@openinkpot.org>  Thu, 06 May 2010 08:55:46 +0200

cr3 (3.0.24-20) zelazny; urgency=low

  [ Vadim Lopatin ]
  * big files support redesign
  * cr3 startup screen
  * fix DejaVu Sans Condensed support
  * fix V3 key mapping for +/-
  * fix skin font names
  * fix V5 startup logo
  * fix startup screen on V3

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 15 Mar 2010 22:53:46 +0100

cr3 (3.0.24-19) zelazny; urgency=low

  [ Vadim Lopatin ]
  * V3 keys fix: +/-
  * bold toggle command
  * fix TOC dialog
  * update Spanish translation
  * formatting performance optimization
  * performance optimizations
  * optimizations
  * update BG translation
  * update .po files
  * add update-po script
  * UK translation

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 09 Mar 2010 15:26:03 +0100

cr3 (3.0.24-18) zelazny; urgency=low

  [ Vadim Lopatin ]
  * update translation files, fix russian translation
  * fixes for missing manual, switch to recent file
  * fix valgrind findings
  * ukrainian translation update, apos xml entity
  * fix memory leak
  * update Spanish translation, add initial LT translation file

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 26 Feb 2010 13:51:18 +0100

cr3 (3.0.24-17) zelazny; urgency=low

  [ Vadim Lopatin ]
  * increase menu font size for n516
  * fix bug with long footnotes

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 24 Feb 2010 13:14:17 +0100

cr3 (3.0.24-16) zelazny; urgency=low

  [ Vadim Lopatin ]
  * skin fixes
  * TOC skinning
  * always show TOC at Go to Page dialog
  * bookmarks menu for N516
  * add menu help at status bar
  * add separate skin and keymap for V5
  * recent books dialog fix
  * add V3 white skin

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 23 Feb 2010 22:34:10 +0100

cr3 (3.0.24-15) zelazny; urgency=low

  [ Vadim Lopatin ]
  * skin fixes
  * recent book opening - save position fix
  * wol export fixes

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 17 Feb 2010 09:16:43 +0100

cr3 (3.0.24-14) zelazny; urgency=low

  [ Vadim Lopatin ]
  * screen turbo update mode

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 09 Feb 2010 17:45:36 +0100

cr3 (3.0.24-13) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fast screen updates feature, part 1
  * fast screen update feature for Jinke devices
  * update keymaps, add switch to recent book command
  * fix crash on screen rotation in menu

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 09 Feb 2010 13:20:16 +0100

cr3 (3.0.24-12) zelazny; urgency=low

  [ Vadim Lopatin ]
  * ukrainian lang update, phase 1
  * fixes for scrollbar, battery, v3 skin
  * fix battery icon
  * update n516 skin
  * skin: add support of tabs
  * skin improvements
  * add skin format description
  * skin fixes
  * menu skin inheritance fix
  * skin fixes
  * fix wxWidgets build
  * Implement WOL export in Qt version

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 08 Feb 2010 14:39:55 +0100

cr3 (3.0.24-11) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Advanced skin support for n516
  * Splitting skins for different devices

  [ Mikhail Gusarov ]
  * Upload

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 02 Feb 2010 13:24:16 +0600

cr3 (3.0.24-10) zelazny; urgency=low

  [ Vadim Lopatin ]
  * coverpage scaling change
  * percent on battery icon
  * fix font weight bug, 3-bit dither bug
  * fix key names
  * fix keymaps for nano-x and jinke plugin builds
  * fix battery icon
  * skin improvements, part 1
  * skin support improvements, part 2
  * make skins device specific
  * split v3 and v516 skins
  * skin splitting

 -- Alexander V. Nikolaev <avn@daemon.hole.ru>  Sun, 31 Jan 2010 23:47:37 +0200

cr3 (3.0.24-9) zelazny; urgency=low

  * Fixed V3 key mapping
  * Fixed N516 battery status

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Tue, 26 Jan 2010 23:23:00 +0300

cr3 (3.0.24-8) zelazny; urgency=low

  [ Vadim Lopatin ]
  * V3/V5 battery fix
  * dithering fix
  * add book filename to log
  * update readme for i386 xcb build
  * replace wait icon
  * add Font Weight option
  * update russian translation
  * update changelog
  * fix resize/rotate for XCB frontend

  [ Tomasz Długosz ]
  * Update Polish translation

  [ Vadim Lopatin ]
  * Lbook logo convertor
  * fix lbook logo convertor
  * changelog update

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 25 Jan 2010 22:21:22 +0100

cr3 (3.0.24-7) zelazny; urgency=low

  * Fixed resize (rotate) bug on XCB (OI)
  * Skin change - wait icon

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 25 Jan 2010 23:55:00 +0300

cr3 (3.0.24-6) zelazny; urgency=low

  * Added support of Font Weight setting
  * Updated Russian translation

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 25 Jan 2010 18:35:00 +0300

cr3 (3.0.24-5) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Keymap fixes

  [ Mikhail Gusarov ]
  * Build

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 24 Jan 2010 01:17:57 +0600

cr3 (3.0.24-4) zelazny; urgency=low

  * Add support of extended grayscale depth (8 and 16 colors)

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Fri, 22 Jan 2010 19:05:00 +0300

cr3 (3.0.24-3) zelazny; urgency=low

  * Change keyboard mapping for N516

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Fri, 22 Jan 2010 06:00:00 +0300

cr3 (3.0.24-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Merge latest upstream
  * section changed from media to gui

  [ Alexander Kerner ]
  * Bump debhelper compatibility level
  * Add packages with per-device settings

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 19 Jan 2010 21:02:42 +0100

cr3 (3.0.24-1) asimov; urgency=low

  * Merge latest upstream
  * Bookmarks management improvements
  * Controls setting added

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Wed, 06 Jan 2009 21:00:00 +0300

cr3 (3.0.23-1) asimov; urgency=low

  * Merge latest upstream
  * Migrate to cmake build

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 30 Nov 2009 08:00:00 +0400

cr3 (3.0.22-1) asimov; urgency=low

  * Merge from latest sourceforge CVS
  * Fix TXT, HTML files support
  * Implement external file links support.

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 19 Sep 2009 18:50:00 +0400

cr3 (3.0.20-1) asimov; urgency=low

  * Merge from latest sourceforge CVS
  * Memory mapped files support for document DOM tree
  * Caching of recent opened books

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 17 Aug 2009 11:15:00 +0400

cr3 (3.0.19-5+b1) asimov; urgency=low

  * rebuld because of soname change in xcb-util

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 15 May 2009 23:41:03 +0200

cr3 (3.0.19-5) asimov; urgency=low

  [ Vadim Lopatin ]
  * Optimize skin images access

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 08 Apr 2009 14:15:14 +0200

cr3 (3.0.19-4) asimov; urgency=low

  [ Vadim Lopatin ]
  * Improve bookmarks export
  * Fix bug with moving to first page after key locking

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 06 Apr 2009 10:51:14 +0200

cr3 (3.0.19-3) asimov; urgency=low

  [ Vadim Lopatin ]
  * Add key definitions for N516
  * Add input clear action for virtual keyboard / T9
  * Add time and chapter name to About dialog
  * Allow multipage scroll in menus
  * Allow customising page heading font via .ini file
  * Fix paragraph styles

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 03 Apr 2009 10:51:14 +0200

cr3 (3.0.19-2) asimov; urgency=low

  * OI build

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 31 Mar 2009 09:52:41 +0200

cr3 (3.0.19-1) asimov; urgency=low

  * Customisable main menu
  * Added current key mapping browse window
  * Fix HTML support for lists
  * Add current page and battery state to About dialog

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Tue, 31 Mar 2009 08:15:00 +0400

cr3 (3.0.17-12) asimov; urgency=low

  * Fixed dependencies

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 17 Mar 2009 12:11:00 +0100

cr3 (3.0.17-11) unstable; urgency=low

  * Cite feature

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 23 Feb 2009 23:23:00 +0300

cr3 (3.0.17-10) unstable; urgency=low

  * Customizable virtual keyboard layouts

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Sun, 22 Feb 2009 16:15:00 +0300

cr3 (3.0.17-9) unstable; urgency=low

  * Add Text Search feature with on-screen keyboard 

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Fri, 20 Feb 2009 08:05:00 +0300

cr3 (3.0.17-8) unstable; urgency=low

  * Show document properties in About dialog
  * Add scrollbar to dictionary article view

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Thu, 19 Feb 2009 08:15:00 +0300

cr3 (3.0.17-7) unstable; urgency=low

  * Fixed dialogs screen update bug
  * Wrong page numbers in bookmarks fixed
  * Fix 'Show Time' setting
  * Fix 'Status Bar' setting
  * Remove unfinished Cite feature from menu
  * Fix page number parameter for DCMD_PAGEUP/DCMD_PAGEDOWN commands
  * Fix font size changing by +/- buttons

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Mon, 16 Feb 2009 07:55:00 +0300

cr3 (3.0.17-6) unstable; urgency=low

  * Recent books bug fixed

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Sun, 15 Feb 2009 22:40:15 +0300

cr3 (3.0.17-5) unstable; urgency=low

  * Add recent books dialog

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Wed, 12 Feb 2009 23:50:10 +0300

cr3 (3.0.17-4) unstable; urgency=low

  * Place key map to external file
  * Add bookmarks dialog
  * Add TOC dialog for GoToPage
  * Add skin for Dictionary dialog

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Wed, 11 Feb 2009 23:50:10 +0300

cr3 (3.0.17-3) unstable; urgency=low

  * fontconfig support
  * /mnt -> /media/sd 

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 23 Jan 2009 14:39:36 +0000

cr3 (3.0.17-2) unstable; urgency=low

  * Added saving of last position, battery indication, keymap fixes.

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Wed, 21 Jan 2009 01:00:00 +0300

cr3 (3.0.17-1) unstable; urgency=low

  * Initial release.

 -- Vadim Lopatin <vadim.lopatin@coolreader.org>  Wed, 14 Jan 2009 09:00:00 +0300
